<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/
	$success=true;
	
	//проверяем установлен ли модуль скина админки
	if (!$module_id=Db::i()->selectCell("SELECT module_id FROM ?_modules WHERE module='lc_skin_switcher'"))
	{
		//проверяем на месте ли админка
		if ($tree_id=Db::i()->selectCell("SELECT tree_id FROM ?_tree WHERE tree_id=1 AND parent_id=0"))
		{
			if ($module_id=Db::i()->query("INSERT INTO ?_modules (`module`, `name`, `static`, `runlevel`) VALUES('lc_skin_switcher', 'переключатель скина (admin)', 1, 100)"))
				Db::i()->query("INSERT INTO ?_includes VALUES(?, ?)", $tree_id, $module_id);
		}
	}
